Bug 504864 - Fedora 11 Anaconda fails with an exception during a preupgrade-initiated upgrade of Fedora 10 (under VMWare Workstation, using VMWare Shared Folders)
Fedora 11 Anaconda fails with an exception during a preupgrade-initiated upgr...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-09 15:24 EDT by Peter Smith
Modified: 2009-10-07 12:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-07 12:04:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bug report generated by Anaconda during a preupgrade-initiated upgrade on Fedora 10 (under VMWare Workstation, using VMWare Shared Folders) (103.82 KB, text/plain)
2009-06-09 15:24 EDT, Peter Smith
no flags Details

  None (edit)
Description Peter Smith 2009-06-09 15:24:11 EDT
Created attachment 347077 [details]
Bug report generated by Anaconda during a preupgrade-initiated upgrade on Fedora 10 (under VMWare Workstation, using VMWare Shared Folders)

Description of problem:
Anaconda issues an error of "Exception: fstab entry .host:/ is malformed: device must be a fully qualified path" when upgrading a Fedora 10 install that has VMWare shared folders enabled.


Version-Release number of selected component (if applicable):
anaconda 11.5.0.59
VMWare Workstation v6.5.2 build-156735
Fedora 10

How reproducible:


Steps to Reproduce:
1. Install a clean Fedora 10
2. Install the VMWare Tools
3. Enable Shared Folders
-  This will likely result in a device-entry in /etc/fstab of ".host"
4. Run preupgrade (or likely start an upgrade via any accepted means)
5. After anaconda reviews the disks, it will fail with an exception related to the ".host" entry being invalid.
  
Actual results:
After anaconda reviews the disks, it will fail with an exception related to the ".host" entry being invalid.

Expected results:
No exception should be generated.


Additional info:
See attachment.
Comment 1 Peter Smith 2009-06-16 12:14:22 EDT
I verified this using a brand new clean VM and more careful steps.  It is definitely an issue.  The only solution I can think of is to either be more flexible when handling the /etc/fstab entries (in particular this is a non-root entry, so it isn't critical,) adjust code to handle this specific "shared folders" case, adjust code to let the user choose to ignore the fstab entry or not, or merely document a work-around for this specific case.  I'd hate to make Anaconda responsible for any old entry made in /etc/fstab, but I can definitely support Anaconda being more robust with respects to any dirty entries in /etc/fstab.
Comment 2 Michael McKibben 2009-07-22 03:12:32 EDT
I ran into the same issue with VMWare Fusion on a Mac with shared folders enabled upgrading from Fedora 10. 

The workaround that worked for me was to:
 
A) boot into rescue mode, 
B) edit the fstab under /mnt/sysimage/etc/fstab and remove the .host entry. 
C) reboot and proceed with upgrade installation.

I would think the installer should just ignore lines in the /etc/fstab that it can't handle, no? Perhaps display and/or log a warning message, then in the new fstab, any lines that were skipped would just be commented out so a user could manually re-enable them (or perhaps save the old fstab file with a backup extension).
Comment 3 Chris Lumens 2009-10-07 12:04:19 EDT
This should be fixed in F12 by commit a3c84cce5a19eca8f29109e98628c298fafecbeb.

Note You need to log in before you can comment on or make changes to this bug.